This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 622600 - (CVE-2010-2812, CVE-2010-2934) CVE-2010-2812 CVE-2010-2934 znc: multiple out-of-range errors can crash znc
CVE-2010-2812 CVE-2010-2934 znc: multiple out-of-range errors can crash znc
Status: CLOSED CURRENTRELEASE
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
high Severity high
: ---
: ---
Assigned To: Red Hat Product Security
public=20100803,reported=20100809,sou...
: Security
Depends On: 622601
Blocks:
  Show dependency treegraph
 
Reported: 2010-08-09 17:44 EDT by Vincent Danen
Modified: 2015-08-19 04:52 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-12 19:47:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Vincent Danen 2010-08-09 17:44:43 EDT
An out-of-range flaw was found in znc where if it received a "PING" from a client without an argument, std::string would throw a std::out_of_range exception which killed znc.  This is fixed in subversion [1].

Some unsafe substr() calls were fixed as well.  These are of lesser impact because a valid login is required in order to cause a std::out_of_range exception.  This is also fixed in subversion [2].

[1] http://znc.svn.sourceforge.net/viewvc/znc?view=revision&revision=2093
[2] http://znc.svn.sourceforge.net/viewvc/znc?view=revision&revision=2095
Comment 1 Vincent Danen 2010-08-09 17:46:04 EDT
Created znc tracking bugs for this issue

Affects: fedora-all [bug 622601]
Comment 2 Vincent Danen 2010-08-10 17:43:58 EDT
CVE-2010-2812 was assigned to the first issue (PING DoS), CVE-2010-2934 was assigned to the second issue (unsafe substr() calls).
Comment 3 Fedora Update System 2010-08-12 00:12:24 EDT
znc-0.093-2.svn2101.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 4 Fedora Update System 2010-08-12 00:12:46 EDT
znc-0.093-2.svn2101.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.